]> git.stg.codes - stg.git/commitdiff
Use separate etst files for subsystems.
authorMaxim Mamontov <faust.madf@gmail.com>
Fri, 10 Oct 2014 19:47:04 +0000 (22:47 +0300)
committerMaxim Mamontov <faust.madf@gmail.com>
Fri, 10 Oct 2014 19:47:04 +0000 (22:47 +0300)
functest/test.sh
functest/test_admins.sh [new file with mode: 0755]
functest/test_services.sh [new file with mode: 0755]

index de55a588b7ec22e940f9de62025e474c6ab94a2f..84f6196d2f5a4e1285fb31b0ebf9d0b58dd8c5eb 100755 (executable)
@@ -25,7 +25,8 @@ cp -R "stuff/db-stub" "$STGPATH/db"
 
 sed -i "s|-STG-PATH-|$STGPATH|g" "$STGPATH/stargazer.conf"
 
-LOGFILE=`pwd`"/"`date "+%Y-%m-%d-%H%M%S.console.log"`
+CURPATH=`pwd`
+LOGFILE="$CURPATH/"`date "+%Y-%m-%d-%H%M%S.console.log"`
 
 cd "$STGPATH"
 
@@ -51,37 +52,8 @@ done
 PID=`cat "$STGPATH/stargazer.pid"`
 printf "Started with pid $PID\n"
 
-SGCONFPATH="$BASEPATH/stg/projects/sgconf"
-
-RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --get-admins`
-
-if [ "$?" != "0" ]
-then
-    printf "Failed to get admins list. Result:\n$RES\n"
-    exit 0
-fi
-
-printf "Got admins list:\n"
-
-LOGINS=""
-OLDIFS=$IFS
-IFS=$(printf "\n")
-for LINE in $RES
-do
-    printf -- "$LINE\n"
-    LOGIN=`echo $LINE | grep login`
-    if [ "$?" == "0" ]
-    then
-        LOGINS="$LOGINS\n"`echo $LOGIN | cut -d: -f2 | sed -e 's/^ *//' -e 's/ *$//'`
-    fi
-done
-IFS=$OLDIFS
-
-printf "Logins:\n$LOGINS\n"
-
-NUM=`echo $LOGINS | wc -l`
-
-printf -- "--------\n$NUM\n\n"
+"$CURPATH/test_admins.sh" "$BASEPATH"
+"$CURPATH/test_services.sh" "$BASEPATH"
 
 printf "Stopping...\n"
 kill $PID
diff --git a/functest/test_admins.sh b/functest/test_admins.sh
new file mode 100755 (executable)
index 0000000..f82205e
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+BASEPATH=$1
+
+SGCONFPATH="$BASEPATH/stg/projects/sgconf"
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --get-admins`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to get admins list. Result:\n$RES\n"
+    exit 0
+fi
+
+printf "Got admins list:\n"
+
+LOGINS=""
+OLDIFS=$IFS
+IFS=$(printf "\n")
+for LINE in $RES
+do
+    printf -- "$LINE\n"
+    LOGIN=`printf "$LINE" | grep login`
+    if [ "$?" == "0" ]
+    then
+        LOGINS="$LOGINS\n"`printf "$LOGIN" | cut -d: -f2 | sed -e 's/^ *//' -e 's/ *$//'`
+    fi
+done
+IFS=$OLDIFS
+
+printf "Logins:\n$LOGINS\n"
+
+NUM=`printf "$LOGINS" | wc -l`
+
+printf -- "--------\n$NUM\n\n"
diff --git a/functest/test_services.sh b/functest/test_services.sh
new file mode 100755 (executable)
index 0000000..3323123
--- /dev/null
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+BASEPATH=$1
+
+SGCONFPATH="$BASEPATH/stg/projects/sgconf"
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --get-services`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to get services list. Result:\n$RES\n"
+    exit 0
+fi
+
+printf "Got services list:\n"
+
+NAMES=""
+OLDIFS=$IFS
+IFS=$(printf "\n")
+for LINE in $RES
+do
+    printf -- "$LINE\n"
+    NAME=`printf "$LINE" | grep name`
+    if [ "$?" == "0" ]
+    then
+        NAMES="$NAMES\n"`printf "$NAME" | cut -d: -f2 | sed -e 's/^ *//' -e 's/ *$//'`
+    fi
+done
+IFS=$OLDIFS
+
+printf "Names:\n$NAMES\n"
+
+NUM=`printf "$NAMES" | wc -l`
+
+printf -- "--------\n$NUM\n\n"
+
+if [ "$NUM" != "0" ]
+then
+    printf "Services list should be empty.\n"
+    exit 0
+fi
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --add-service test`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to add new service. Result:\n$RES\n"
+    exit 0
+fi
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --get-services`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to get services list. Result:\n$RES\n"
+    exit 0
+fi
+
+printf "Got services list:\n"
+
+NAMES=""
+OLDIFS=$IFS
+IFS=$(printf "\n")
+for LINE in $RES
+do
+    printf -- "$LINE\n"
+    NAME=`printf "$LINE" | grep name`
+    if [ "$?" == "0" ]
+    then
+        NAMES="$NAMES\n"`printf "$NAME" | cut -d: -f2 | sed -e 's/^ *//' -e 's/ *$//'`
+    fi
+done
+IFS=$OLDIFS
+
+printf "Names:\n$NAMES\n"
+
+NUM=`printf "$NAMES" | wc -l`
+
+printf -- "--------\n$NUM\n\n"
+
+if [ "$NUM" != "1" ]
+then
+    printf "Services list should have exactly one entry.\n"
+    exit 0
+fi
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --del-service test`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to delete a service. Result:\n$RES\n"
+    exit 0
+fi
+
+RES=`"$SGCONFPATH/sgconf" -s localhost -p 5555 -u admin -w 123456 --get-services`
+
+if [ "$?" != "0" ]
+then
+    printf "Failed to get services list. Result:\n$RES\n"
+    exit 0
+fi
+
+printf "Got services list:\n"
+
+NAMES=""
+OLDIFS=$IFS
+IFS=$(printf "\n")
+for LINE in $RES
+do
+    printf -- "$LINE\n"
+    NAME=`printf "$LINE" | grep name`
+    if [ "$?" == "0" ]
+    then
+        NAMES="$NAMES\n"`printf "$NAME" | cut -d: -f2 | sed -e 's/^ *//' -e 's/ *$//'`
+    fi
+done
+IFS=$OLDIFS
+
+printf "Names:\n$NAMES\n"
+
+NUM=`printf "$NAMES" | wc -l`
+
+printf -- "--------\n$NUM\n\n"
+
+if [ "$NUM" != "1" ]
+then
+    printf "Services list should be empty.\n"
+    exit 0
+fi